PDA

View Full Version : Dumb questions, but need help



ohndclinton
02-08-2008, 05:21 AM
Sorry for this dumb question, but i have a copy of Battlefield 2142, and last time i played it and it was maybe 1 year ago, anyways.

Which patch do i need to download, i looked them up and there are a lot of patches and im not sure which to download, can someone please be kind enough to write down which one to download? like for example

BF2142 patch 1.01
BF2142 patch 1.1 etc etc

coz i see two BF2142 patch 1.4 full and full beta and etc and i dont know which to download. thank you

Basil.
02-08-2008, 08:19 AM
just 1.4.

ohndclinton
02-08-2008, 04:18 PM
so i need to download 1.4? and thats it?

ARCTiC.LiGHT
02-12-2008, 06:48 AM
Yeah.
I think, from presumed knowledge you can go from any patch to any patch.
So long as your patching upwards.

I'm open for corrections :D